STRING-JOIN(1)

NAME
string-join - join strings with delimiter

SYNOPSIS

string join [(-q | --quiet)] SEP [STRING...]
string join0 [(-q | --quiet)] [STRING...]

DESCRIPTION

string join joins its STRING arguments into a single string separated by SEP, which can be an empty string. Exit status: 0 if at least one join was performed, or 1 otherwise.

string join0 joins its STRING arguments into a single string separated by the zero byte (NUL), and adds a trailing NUL. This is most useful in conjunction with tools that accept NUL-delimited input, such as sort -z. Exit status: 0 if at least one join was performed, or 1 otherwise.

EXAMPLES

>_ seq 3 | string join ...
1...2...3

COPYRIGHT
2019, fish-shell developers